/* TYPOGRAPHY */

.gm_syslog_dump
{
    margin-top: var(--margin-close);
}

a.pub_id,
span.pub_id
{
    padding: 2px 4px;
    background: #00559C;
    color: #FFFFFF;
    font-size: var(--font-size-large);
    border-radius: 6px;
    white-space: nowrap;
    text-transform: uppercase;    
}

a.pub_id.lite,
span.pub_id.lite
{
    background: #999999;
}

a.pub_id.special,
span.pub_id.special
{
    background: #FF9999;
}

a.pub_id.lite:hover
{
    background: #999999;
}

.modref
{
    margin-left: var(--margin-close);
}

/* LOGIN & RECOVERY */

body.login_view,
body.recovery_view
{
   background-image: url(../img/cvt-bg-2-hd.jpg);
   /*background-image: url(../img/cvt-bg-1-hi.jpg);*/
   background-repeat: no-repeat;
   background-size: cover;
}

/* NO-CONNECTION */

body.noconnect_view:before
{
    position: absolute;
    display: block;    
    width: 100%;
    top: 32px;
    text-align: center;    
    content: "\e61a";
    font-family: var(--icon-font);
    font-size: var(--icon-size-xxl);
    color: var(--negative-color);
}

body.noconnect_view:after
{
    position: absolute;
    display: block;    
    width: 100%;
    top: 164px;
    text-align: center;    
    content: "\e6f7";
    font-family: var(--icon-font);
    font-size: var(--icon-size-large);
    color: var(--state-color-fail);
}

/* LOGIN > HEADER */

#loginheader,
#recoveryheader,
#offlineheader,
#deniedheader,
#a2hsheader,
#noconnectheader
{
   width: 100%;
   margin-top: calc(3 * var(--margin-base));
}

#loginheader > span,
#recoveryheader > span, 
#offlineheader > span,
#deniedheader > span,
#a2hsheader > span,
#noconnectheader > span
{
    display: block;
    text-align: center;
    font-family: var(--font-bold);
    font-size: var(--font-size-xxl);    
    color: var(--icon-color);
}

#offlineheader,
#deniedheader,
#a2hsheader,
#noconnectheader
{
     background-image: url("../img/glow-full-neg.png");
}